# Class StreamableHttpServerParameters

java.lang.Object
com.google.adk.tools.mcp.StreamableHttpServerParameters

public class StreamableHttpServerParameters extends Object
Server parameters for Streamable HTTP client transport.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `StreamableHttpServerParameters.Builder`
  Builder for `StreamableHttpServerParameters`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StreamableHttpServerParameters(String url, Map<String,String> headers, @Nullable Duration timeout, @Nullable Duration readTimeout, @Nullable Boolean terminateOnClose)`
  Server parameters for Streamable HTTP client transport.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StreamableHttpServerParameters.Builder`
  `builder()`
  `Map<String,String>`
  `headers()`
  `Duration`
  `readTimeout()`
  `boolean`
  `terminateOnClose()`
  `Duration`
  `timeout()`
  `String`
  `url()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StreamableHttpServerParameters

    public StreamableHttpServerParameters(String url, Map<String,String> headers, @Nullable Duration timeout, @Nullable Duration readTimeout, @Nullable Boolean terminateOnClose)
    Server parameters for Streamable HTTP client transport.
    Parameters:
      `url` - The base URL for the MCP Streamable HTTP server.
      `headers` - Optional headers to include in requests.
      `timeout` - Timeout for HTTP operations (default: 30 seconds).
      `readTimeout` - Timeout for reading data from the streamed http events(default: 5 minutes).
      `terminateOnClose` - Whether to terminate the session on close (default: true).

- ## Method Details

  - ### url

    public String url()

  - ### headers

    public Map<String,String> headers()

  - ### timeout

    public Duration timeout()

  - ### readTimeout

    public Duration readTimeout()

  - ### terminateOnClose

    public boolean terminateOnClose()

  - ### builder

    public static StreamableHttpServerParameters.Builder builder()